<?php

/*
 * @copyright NetMonsters <team@netmonsters.ru>
 * @link http://netmonsters.ru
 * @package Majestic
 * @subpackage UnitTests
 * @since 2011-10-11
 * 
 * Unit tests for Error404Exception class
 */

require_once dirname(__FILE__) . '/../../exception/GeneralException.php';
require_once dirname(__FILE__) . '/../../exception/Error404Exception.php';

class Error404ExceptionTest extends PHPUnit_Framework_TestCase
{
    
    /**
     * @expectedException Error404Exception
     */
    public function testError404Exception()
    {
        throw new Error404Exception();
    }
    
    /**
     * @expectedException Error404Exception
     * @expectedExceptionMessage Error404Exception message
     * @excpectedExceptionCode 1
     */
    public function testError404ExceptionMessage()
    {
        throw new Error404Exception('Error404Exception message', 10);
    }
    
}